> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details for a setting



## OpenAPI

````yaml get /admin/settings/{settings_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/settings/{settings_id}:
    get:
      tags:
        - Settings
      summary: Get details for a setting
      operationId: e4402c1e1b464d411052e8cdac6b11f5
      parameters:
        - name: settings_id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Settings Edited Successfully
          content:
            application/json:
              schema:
                properties:
                  settings:
                    type: object
                  program_type_allowed:
                    type: object
                  donation:
                    type: object
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Bad Request
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````